# Call Flows

## List existing call flows.

> Returns a shallow list of call flows without the full node tree. Use the single resource endpoint to retrieve the complete call flow including all nodes and branches.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.3-r.4"},"tags":[{"name":"Call Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"CallFlowListItem":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"assignedNumber":{"$ref":"#/components/schemas/CallFlowNumber"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"CallFlowNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"phoneNumber":{"$ref":"#/components/schemas/PhoneNumber"}}},"PhoneNumber":{"type":"object","properties":{"regionCode":{"type":"string"},"number":{"type":"string"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/call-flows":{"get":{"tags":["Call Flows"],"summary":"List existing call flows.","description":"Returns a shallow list of call flows without the full node tree. Use the single resource endpoint to retrieve the complete call flow including all nodes and branches.","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of entities.","schema":{"maximum":100,"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"The call flows","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowListItem"}}}}}}}}}}
```

## POST /call-flows

> Create a new call flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.3-r.4"},"tags":[{"name":"Call Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"CallFlow":{"type":"object","required":["name","language","root"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"language":{"type":"string","enum":["de","en"]},"assignedNumber":{"$ref":"#/components/schemas/CallFlowNumber"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"root":{"$ref":"#/components/schemas/CallFlowNode"}}},"CallFlowNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"phoneNumber":{"$ref":"#/components/schemas/PhoneNumber"}}},"PhoneNumber":{"type":"object","properties":{"regionCode":{"type":"string"},"number":{"type":"string"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"CallFlowNode":{"type":"object","required":["nodeType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"nodeType":{"type":"string","enum":["ROOT","IVR_MENU","AUDIO_MESSAGE","SUPPORT_HOURS","ROUTE_CALL","PARALLEL_ROUTE_CALL","VOICEMAIL","PIN_CODE","CREATE_ALERT","BLOCK_NUMBERS","AGENTIC"]},"metadata":{"$ref":"#/components/schemas/CallFlowNodeMetadata"},"branches":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowBranch"}}}},"CallFlowNodeMetadata":{"oneOf":[{"$ref":"#/components/schemas/CallFlowNodeMetadataAudioMessage"},{"$ref":"#/components/schemas/CallFlowNodeMetadataIvrMenu"},{"$ref":"#/components/schemas/CallFlowNodeMetadataVoicemail"},{"$ref":"#/components/schemas/CallFlowNodeMetadataPinCode"},{"$ref":"#/components/schemas/CallFlowNodeMetadataSupportHours"},{"$ref":"#/components/schemas/CallFlowNodeMetadataRouteCall"},{"$ref":"#/components/schemas/CallFlowNodeMetadataCreateAlert"},{"$ref":"#/components/schemas/CallFlowNodeMetadataBlockNumbers"},{"$ref":"#/components/schemas/CallFlowNodeMetadataAgentic"}]},"CallFlowNodeMetadataAudioMessage":{"type":"object","properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]}}},"CallFlowNodeMetadataIvrMenu":{"type":"object","required":["enabledOptions"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"enabledOptions":{"type":"array","items":{"type":"string"}},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"retries":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataVoicemail":{"type":"object","properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"disableTranscription":{"type":"boolean"}}},"CallFlowNodeMetadataPinCode":{"type":"object","required":["codes"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"codes":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataCode"}},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"retries":{"type":"integer","format":"int64"},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]}}},"CallFlowNodeMetadataCode":{"type":"object","required":["label"],"properties":{"code":{"type":"integer","format":"int64"},"label":{"type":"string"}}},"CallFlowNodeMetadataSupportHours":{"type":"object","required":["supportHoursId"],"properties":{"supportHoursId":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataRouteCall":{"type":"object","required":["targets"],"properties":{"holdAudioUrl":{"type":"string"},"targets":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataCallTarget"}},"callStyle":{"type":"string","enum":["ORDERED","RANDOM","PARALLEL"]},"retries":{"type":"integer","format":"int64"},"callTimeoutSec":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataCallTarget":{"type":"object","required":["target","type"],"properties":{"target":{"type":"string"},"type":{"type":"string","enum":["USER","ON_CALL_SCHEDULE","NUMBER"]}}},"CallFlowNodeMetadataCreateAlert":{"type":"object","required":["alertSourceId"],"properties":{"alertSourceId":{"type":"integer","format":"int64"},"acceptAlertOnAnswer":{"type":"boolean"}}},"CallFlowNodeMetadataBlockNumbers":{"type":"object","required":["blacklist"],"properties":{"blacklist":{"type":"array","items":{"type":"string"}}}},"CallFlowNodeMetadataAgentic":{"type":"object","required":["textMessage","intents"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"intents":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataIntent"}},"gathers":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataGather"}},"enrichment":{"$ref":"#/components/schemas/CallFlowNodeMetadataEnrichment"}}},"CallFlowNodeMetadataIntent":{"type":"object","properties":{"type":{"type":"string","enum":["INCIDENT","SYSTEM_OUTAGE","SECURITY_BREACH","TECHNICAL_SUPPORT","INQUIRY"]},"label":{"type":"string"},"description":{"type":"string"}}},"CallFlowNodeMetadataGather":{"type":"object","properties":{"type":{"type":"string","enum":["CALLER_NAME","CONTACT_NUMBER","EMAIL","INCIDENT","AFFECTED_SERVICES"]},"label":{"type":"string"},"varType":{"type":"string","enum":["NUMBER","DATE","BOOLEAN","STRING"]},"required":{"type":"boolean"},"question":{"type":"string"}}},"CallFlowNodeMetadataEnrichment":{"type":"object","properties":{"enabled":{"type":"boolean"},"informationTypes":{"type":"array","items":{"type":"string","enum":["INCIDENT","MAINTENANCE","SERVICE_STATUS"]}},"sources":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataEnrichmentSource"}}}},"CallFlowNodeMetadataEnrichmentSource":{"type":"object","required":["id","type"],"properties":{"id":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["STATUS_PAGE","SERVICE"]}}},"CallFlowBranch":{"type":"object","required":["branchType"],"properties":{"id":{"type":"integer","format":"int64"},"branchType":{"type":"string","enum":["BRANCH","CATCH_ALL","ANSWERED"]},"condition":{"type":"string"},"target":{"$ref":"#/components/schemas/CallFlowNode"}}}}},"paths":{"/call-flows":{"post":{"tags":["Call Flows"],"summary":"Create a new call flow.","requestBody":{"description":"the call flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallFlow"}}},"required":true},"responses":{"201":{"description":"The newly created call flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallFlow"}}}}}}}}}
```

## GET /call-flows/{id}

> Get a specific call flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.3-r.4"},"tags":[{"name":"Call Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"CallFlow":{"type":"object","required":["name","language","root"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"language":{"type":"string","enum":["de","en"]},"assignedNumber":{"$ref":"#/components/schemas/CallFlowNumber"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"root":{"$ref":"#/components/schemas/CallFlowNode"}}},"CallFlowNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"phoneNumber":{"$ref":"#/components/schemas/PhoneNumber"}}},"PhoneNumber":{"type":"object","properties":{"regionCode":{"type":"string"},"number":{"type":"string"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"CallFlowNode":{"type":"object","required":["nodeType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"nodeType":{"type":"string","enum":["ROOT","IVR_MENU","AUDIO_MESSAGE","SUPPORT_HOURS","ROUTE_CALL","PARALLEL_ROUTE_CALL","VOICEMAIL","PIN_CODE","CREATE_ALERT","BLOCK_NUMBERS","AGENTIC"]},"metadata":{"$ref":"#/components/schemas/CallFlowNodeMetadata"},"branches":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowBranch"}}}},"CallFlowNodeMetadata":{"oneOf":[{"$ref":"#/components/schemas/CallFlowNodeMetadataAudioMessage"},{"$ref":"#/components/schemas/CallFlowNodeMetadataIvrMenu"},{"$ref":"#/components/schemas/CallFlowNodeMetadataVoicemail"},{"$ref":"#/components/schemas/CallFlowNodeMetadataPinCode"},{"$ref":"#/components/schemas/CallFlowNodeMetadataSupportHours"},{"$ref":"#/components/schemas/CallFlowNodeMetadataRouteCall"},{"$ref":"#/components/schemas/CallFlowNodeMetadataCreateAlert"},{"$ref":"#/components/schemas/CallFlowNodeMetadataBlockNumbers"},{"$ref":"#/components/schemas/CallFlowNodeMetadataAgentic"}]},"CallFlowNodeMetadataAudioMessage":{"type":"object","properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]}}},"CallFlowNodeMetadataIvrMenu":{"type":"object","required":["enabledOptions"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"enabledOptions":{"type":"array","items":{"type":"string"}},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"retries":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataVoicemail":{"type":"object","properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"disableTranscription":{"type":"boolean"}}},"CallFlowNodeMetadataPinCode":{"type":"object","required":["codes"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"codes":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataCode"}},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"retries":{"type":"integer","format":"int64"},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]}}},"CallFlowNodeMetadataCode":{"type":"object","required":["label"],"properties":{"code":{"type":"integer","format":"int64"},"label":{"type":"string"}}},"CallFlowNodeMetadataSupportHours":{"type":"object","required":["supportHoursId"],"properties":{"supportHoursId":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataRouteCall":{"type":"object","required":["targets"],"properties":{"holdAudioUrl":{"type":"string"},"targets":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataCallTarget"}},"callStyle":{"type":"string","enum":["ORDERED","RANDOM","PARALLEL"]},"retries":{"type":"integer","format":"int64"},"callTimeoutSec":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataCallTarget":{"type":"object","required":["target","type"],"properties":{"target":{"type":"string"},"type":{"type":"string","enum":["USER","ON_CALL_SCHEDULE","NUMBER"]}}},"CallFlowNodeMetadataCreateAlert":{"type":"object","required":["alertSourceId"],"properties":{"alertSourceId":{"type":"integer","format":"int64"},"acceptAlertOnAnswer":{"type":"boolean"}}},"CallFlowNodeMetadataBlockNumbers":{"type":"object","required":["blacklist"],"properties":{"blacklist":{"type":"array","items":{"type":"string"}}}},"CallFlowNodeMetadataAgentic":{"type":"object","required":["textMessage","intents"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"intents":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataIntent"}},"gathers":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataGather"}},"enrichment":{"$ref":"#/components/schemas/CallFlowNodeMetadataEnrichment"}}},"CallFlowNodeMetadataIntent":{"type":"object","properties":{"type":{"type":"string","enum":["INCIDENT","SYSTEM_OUTAGE","SECURITY_BREACH","TECHNICAL_SUPPORT","INQUIRY"]},"label":{"type":"string"},"description":{"type":"string"}}},"CallFlowNodeMetadataGather":{"type":"object","properties":{"type":{"type":"string","enum":["CALLER_NAME","CONTACT_NUMBER","EMAIL","INCIDENT","AFFECTED_SERVICES"]},"label":{"type":"string"},"varType":{"type":"string","enum":["NUMBER","DATE","BOOLEAN","STRING"]},"required":{"type":"boolean"},"question":{"type":"string"}}},"CallFlowNodeMetadataEnrichment":{"type":"object","properties":{"enabled":{"type":"boolean"},"informationTypes":{"type":"array","items":{"type":"string","enum":["INCIDENT","MAINTENANCE","SERVICE_STATUS"]}},"sources":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataEnrichmentSource"}}}},"CallFlowNodeMetadataEnrichmentSource":{"type":"object","required":["id","type"],"properties":{"id":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["STATUS_PAGE","SERVICE"]}}},"CallFlowBranch":{"type":"object","required":["branchType"],"properties":{"id":{"type":"integer","format":"int64"},"branchType":{"type":"string","enum":["BRANCH","CATCH_ALL","ANSWERED"]},"condition":{"type":"string"},"target":{"$ref":"#/components/schemas/CallFlowNode"}}}}},"paths":{"/call-flows/{id}":{"get":{"tags":["Call Flows"],"summary":"Get a specific call flow.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The requested call flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallFlow"}}}}}}}}}
```

## PUT /call-flows/{id}

> Update a specific call flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.3-r.4"},"tags":[{"name":"Call Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"CallFlow":{"type":"object","required":["name","language","root"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"language":{"type":"string","enum":["de","en"]},"assignedNumber":{"$ref":"#/components/schemas/CallFlowNumber"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"root":{"$ref":"#/components/schemas/CallFlowNode"}}},"CallFlowNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"phoneNumber":{"$ref":"#/components/schemas/PhoneNumber"}}},"PhoneNumber":{"type":"object","properties":{"regionCode":{"type":"string"},"number":{"type":"string"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"CallFlowNode":{"type":"object","required":["nodeType"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"nodeType":{"type":"string","enum":["ROOT","IVR_MENU","AUDIO_MESSAGE","SUPPORT_HOURS","ROUTE_CALL","PARALLEL_ROUTE_CALL","VOICEMAIL","PIN_CODE","CREATE_ALERT","BLOCK_NUMBERS","AGENTIC"]},"metadata":{"$ref":"#/components/schemas/CallFlowNodeMetadata"},"branches":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowBranch"}}}},"CallFlowNodeMetadata":{"oneOf":[{"$ref":"#/components/schemas/CallFlowNodeMetadataAudioMessage"},{"$ref":"#/components/schemas/CallFlowNodeMetadataIvrMenu"},{"$ref":"#/components/schemas/CallFlowNodeMetadataVoicemail"},{"$ref":"#/components/schemas/CallFlowNodeMetadataPinCode"},{"$ref":"#/components/schemas/CallFlowNodeMetadataSupportHours"},{"$ref":"#/components/schemas/CallFlowNodeMetadataRouteCall"},{"$ref":"#/components/schemas/CallFlowNodeMetadataCreateAlert"},{"$ref":"#/components/schemas/CallFlowNodeMetadataBlockNumbers"},{"$ref":"#/components/schemas/CallFlowNodeMetadataAgentic"}]},"CallFlowNodeMetadataAudioMessage":{"type":"object","properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]}}},"CallFlowNodeMetadataIvrMenu":{"type":"object","required":["enabledOptions"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"enabledOptions":{"type":"array","items":{"type":"string"}},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"retries":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataVoicemail":{"type":"object","properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"disableTranscription":{"type":"boolean"}}},"CallFlowNodeMetadataPinCode":{"type":"object","required":["codes"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"codes":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataCode"}},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"retries":{"type":"integer","format":"int64"},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]}}},"CallFlowNodeMetadataCode":{"type":"object","required":["label"],"properties":{"code":{"type":"integer","format":"int64"},"label":{"type":"string"}}},"CallFlowNodeMetadataSupportHours":{"type":"object","required":["supportHoursId"],"properties":{"supportHoursId":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataRouteCall":{"type":"object","required":["targets"],"properties":{"holdAudioUrl":{"type":"string"},"targets":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataCallTarget"}},"callStyle":{"type":"string","enum":["ORDERED","RANDOM","PARALLEL"]},"retries":{"type":"integer","format":"int64"},"callTimeoutSec":{"type":"integer","format":"int64"}}},"CallFlowNodeMetadataCallTarget":{"type":"object","required":["target","type"],"properties":{"target":{"type":"string"},"type":{"type":"string","enum":["USER","ON_CALL_SCHEDULE","NUMBER"]}}},"CallFlowNodeMetadataCreateAlert":{"type":"object","required":["alertSourceId"],"properties":{"alertSourceId":{"type":"integer","format":"int64"},"acceptAlertOnAnswer":{"type":"boolean"}}},"CallFlowNodeMetadataBlockNumbers":{"type":"object","required":["blacklist"],"properties":{"blacklist":{"type":"array","items":{"type":"string"}}}},"CallFlowNodeMetadataAgentic":{"type":"object","required":["textMessage","intents"],"properties":{"textMessage":{"type":"string"},"customAudioUrl":{"type":"string"},"language":{"type":"string","enum":["en","de","fr","es","nl","ru","it"]},"aiVoiceModel":{"type":"string","enum":["emma","liam","isabelle","gordon","ivy","ellen"]},"intents":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataIntent"}},"gathers":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataGather"}},"enrichment":{"$ref":"#/components/schemas/CallFlowNodeMetadataEnrichment"}}},"CallFlowNodeMetadataIntent":{"type":"object","properties":{"type":{"type":"string","enum":["INCIDENT","SYSTEM_OUTAGE","SECURITY_BREACH","TECHNICAL_SUPPORT","INQUIRY"]},"label":{"type":"string"},"description":{"type":"string"}}},"CallFlowNodeMetadataGather":{"type":"object","properties":{"type":{"type":"string","enum":["CALLER_NAME","CONTACT_NUMBER","EMAIL","INCIDENT","AFFECTED_SERVICES"]},"label":{"type":"string"},"varType":{"type":"string","enum":["NUMBER","DATE","BOOLEAN","STRING"]},"required":{"type":"boolean"},"question":{"type":"string"}}},"CallFlowNodeMetadataEnrichment":{"type":"object","properties":{"enabled":{"type":"boolean"},"informationTypes":{"type":"array","items":{"type":"string","enum":["INCIDENT","MAINTENANCE","SERVICE_STATUS"]}},"sources":{"type":"array","items":{"$ref":"#/components/schemas/CallFlowNodeMetadataEnrichmentSource"}}}},"CallFlowNodeMetadataEnrichmentSource":{"type":"object","required":["id","type"],"properties":{"id":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["STATUS_PAGE","SERVICE"]}}},"CallFlowBranch":{"type":"object","required":["branchType"],"properties":{"id":{"type":"integer","format":"int64"},"branchType":{"type":"string","enum":["BRANCH","CATCH_ALL","ANSWERED"]},"condition":{"type":"string"},"target":{"$ref":"#/components/schemas/CallFlowNode"}}}}},"paths":{"/call-flows/{id}":{"put":{"tags":["Call Flows"],"summary":"Update a specific call flow.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"the call flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallFlow"}}},"required":true},"responses":{"200":{"description":"The updated call flow","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallFlow"}}}}}}}}}
```

## DELETE /call-flows/{id}

> Delete a specific call flow.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.3-r.4"},"tags":[{"name":"Call Flows"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/call-flows/{id}":{"delete":{"tags":["Call Flows"],"summary":"Delete a specific call flow.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"Empty body delete response","content":{}}}}}}}
```
